



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>C#字符串操作方法签名等</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">C#字符串操作方法签名等</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-14 12:28:31 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<pre class="prettyprint linenums">class Program<br />
    {<br />
        /// &lt;summary&gt;<br />
        /// C# 里Main方法不需要public，而且不允许有两个是Main(string[] args)【包括String[] args】，因为它们的方法签名一样<br />
        /// 方法签名不包括方法修饰符和返回类型；（主要是因为返回值在调用时是可以忽略的，而参数则必须给出）；<br />
        /// &lt;/summary&gt;<br />
        /// &lt;param name="args"&gt;&lt;/param&gt;<br />
        static void Main(string[] args)<br />
        {<br />
            /*<br />
            注意，对于重载方法，每个方法都是有一个Hash码的，比如Test()的是Test$0，Test(string param)是Test$1，Test(params string[] args)是Test$3<br />
            在编译阶段编译器是会按照一个策略来选择一个方法，并且写到二进制码的时候就会是一个具体的方法名而不是源码的方法名<br />
            所以下面的调用虽然同时符合Test()和Test(params string[] args)，但是编译器根据方法匹配优先级匹配到了Test()这个方法，<br />
            所以编译成二进制文件时这部分代码就变成了Test$1()；从而不会出现混乱的情况；<br />
            */<br />
            Test();

            // C# 里IList表示是支持RandomAccess的，即通过数组下标来访问，所以LinkedList没有实现这个接口；<br />
            IList&lt;int&gt; list = new List&lt;int&gt;(5);<br />
            list[1] = 4;<br />
            foreach (var e in list)<br />
            {<br />
                // 这里应该是顺序比较的（应该是直接比较引用值而非equals）<br />
                var idx = list.IndexOf(4);<br />
            }<br />
            ICollection&lt;int&gt; list2 = new LinkedList&lt;int&gt;();<br />
        }

        public static void Test()<br />
        {  // C# 这种第二行风格的好处是，代码就可以从下面一行写起，如果是{在方法签名那行，那么自己老是不习惯，总要在方法签名下面空一行再写；<br />
            Console.WriteLine($"Hello, World.{3 - 4 / 2}");<br />　　　　　　　// 格式化输出<br />　　　　　　　Console.WriteLine($"Area of Circle &nbsp; = {3.835:F2}");<br />
        }

        public static void Test(string param)<br />
        {<br />
            // @"..."字符串的用处就是令内部的字符都是单个字符没有转义，否则下面要写成\\<br />
            // 注意在这里两个""算一个"，毕竟"仍然是很特殊的存在，如果直接是@"wo"u"tt"那么编译器会认为是"wo" u 和"tt"，因此要写成@"wo""u""tt"这样编译器就能识别为wo"u"tt<br />
            Console.WriteLine(@"wo shi ""mm"" skfld，E:\common\test");<br />
        }

        /// &lt;summary&gt;<br />
        /// 被params修饰的参数必须是方法所有参数的最后一个<br />
        /// &lt;/summary&gt;<br />
        /// &lt;param name="args"&gt;&lt;/param&gt;<br />
        public static void Test(params string[] args)<br />
        {<br />
            Console.WriteLine("\"进口量\"");<br />
        }<br />
    }
</pre>
</div>
<p>　　</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/4qnj4dx8.html">使用Json Web Token设计Passport系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mlpn09.html">利用crontab系统每天定时备份MySQL数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q23o1x9.html">JavaScript 对象的创建和对6种继承模式的理解和遐想</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93g3xn8.html">关于Html与css的一些解释</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qx4e6d9.html">PHP用mb&lowbar;string函数库处理与windows相关中文字符</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyk4x29.html">android&colon; SQLite创建数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qn3d2x9.html">lvs之dr技术的学习与实践</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qx0yjvq.html">memache session</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzemrl8.html">学习multiprocessing</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd2dnz9.html">plsql部分字段中文乱码，sqlplus中文乱码</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1okmyq.html">js获取文本的行数</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zv5e09.html">python爬虫&mdash;&mdash;词云分析最热门电影《后来的我们》</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4erme9.html">C&num;流程控制语句--跳转语句（break，continue，goto，return，）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv16j28.html">linux的基本操作&lpar;一&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j4dneq.html">linux audit审计（2）--audit启动</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllw2dkq.html">postgresql安装与启动（mac os）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw2jxv9.html">CSS学习笔记-01-2D转换模块</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7orlrj8.html">php优秀框架codeigniter学习系列&mdash;&mdash;CodeIgniter&period;php概览</a>
		</li>
						<li><a href="https://www.batexi.com/a/q257wwlq.html">POJ 2560</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o43ygpq.html">Java 接口和多态</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qwvn67z8.html">synchronized和lock以及synchronized和volatile的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/90r4wm39.html">关于element-ui日期选择器disabledDate使用心得</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4j7en3q.html">&lbrack;java&comma;2017-05-16&rsqb; java中清空StringBuffer的方法以及耗费时间比较</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j1vy2g9.html">BZOJ 1257&colon; &lbrack;CQOI2007&rsqb;余数之和</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwg6rx9.html">js 一些方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4j3jk3q.html">A bean with that name has already been defined in DataSourceConfiguration&dollar;Hikari&period;class</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4r4vj9.html">SQL Server中多表连接时驱动顺序对性能的影响</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv232619.html">SQL（ORACLE）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25ykwxq.html">Hibernate 再接触  HQL</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyevg39.html">Apache 修改端口号</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
